<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class ContentdataTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('contentdatas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'contentdata.contentdata.view',
                'name'      => 'View Contentdata',
            ],
            [
                'slug'      => 'contentdata.contentdata.create',
                'name'      => 'Create Contentdata',
            ],
            [
                'slug'      => 'contentdata.contentdata.edit',
                'name'      => 'Update Contentdata',
            ],
            [
                'slug'      => 'contentdata.contentdata.delete',
                'name'      => 'Delete Contentdata',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contentdata/contentdata',
                'name'        => 'Contentdata',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contentdata/contentdata',
                'name'        => 'Contentdata',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'contentdata',
                'name'        => 'Contentdata',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contentdata',
                'module'    => 'Contentdata',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'contentdata.contentdata.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
