Lavalite package that provides contentdata management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/contentdata`.

    "litecms/contentdata": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Contentdata\Providers\ContentdataServiceProvider::class,

And also add it to alias

    'Contentdata'  => Litecms\Contentdata\Facades\Contentdata::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ContentdataTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Contentdata\Providers\ContentdataServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Contentdata\Providers\ContentdataServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Contentdata\Providers\ContentdataServiceProvider" --tag="view"


## Usage


